﻿@model StomaWebApp.Views.ViewModels.BigUserMainViewModel
@{
    ViewData["Title"] = "UserMain";
    Layout = "~/Views/Shared/_LayoutUserMain.cshtml";
}
<h1></h1>

<div class="col my-col">
    <div class="row middle-content align-items-center">
        <h2>Date:</h2> 
        <form>
            <input type="text" class="datepicker" asp-for="DateTimeString" autocomplete="off">
            <button asp-controller="UserMain" asp-action="ChangeDate" type="submit">Search</button>
        </form>
    </div>
    <div class="row list-border-top list-border-even"><h2>Appointments</h2></div>
    <div class="row list-border-top list-border-even">
        <div class="col">Patient Name</div>
        <div class="col">Doctor</div>
        <div class="col">Date</div>
        <div class="col">Time</div>
        <div class="col">Surgery</div>
    </div>
    <div class="accordion" id="accordionExample">
        @{
            if (Model != null)
            {
                int count = 1;
                int collapseCount = 0;
                string switcher = "odd";
                foreach (var appointment in Model.AllAppointments)
            
                {
                    if (count % 2 == 0)
                    {
                        switcher = "even";
                    }
                    else
                    {
                        switcher = "odd";
                    }
                    DateTime dt = appointment.DateTime;
                    string time = dt.ToString("HH:mm");
                    <div class="accordion" id="accordionExample">
                        <div class="card special-card ">
                            <div class="card-header special-card" id="headingOne">
                                <div class="row list-border-@switcher" type="text" data-toggle="collapse" data-target="#collapse-@collapseCount" aria-controls="collapseOne">
                                    <div class="col">@appointment.PatientName</div>
                                    <div class="col">Some_Doctor</div>
                                    <div class="col">@appointment.DateTime.Day/@appointment.DateTime.Month/@appointment.DateTime.Year</div>
                                    <div class="col">@time</div>
                                    <div class="col">Some_Surgery</div>
                                </div>
                            </div>
                            <div id="collapse-@collapseCount" class="collapse special-card" aria-labelledby="headingOne" data-parent="#accordionExample">
                                <form>
                                    <div class="card-body row">
                                        <div class="col"><label>@appointment.PatientName</label></div>
                                        <input type="hidden" asp-for="AppViewModel.PatientName"id="myInput" value="@appointment.PatientName">
                                        <div class="col"></div>
                                        <div class="col"><input id="UpdateDate" type="text" asp-for="AppViewModel.Date" class="datepicker"></div>
                                        <div class="col"><input id="UpdateTime" class="fields" type="time" asp-for="AppViewModel.Time"></div>
                                        <div class="col"></div>
                                        <div class=""><button type="submit" asp-controller="UserMain" asp-action="DeleteAppointment" asp-route-id="@appointment.Id">Remove</button></div>
                                        <div class=""><button type="submit" asp-controller="UserMain" asp-action="UpdateAppointment" asp-route-id="@appointment.Id">Save</button></div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    count++;
                    collapseCount++;
                    }
                }
            }
    </div>
        <a class="button list-border-top" href="#popup1">Add appointment</a>
        <form class="form-group" autocomplete="off">
            <div id="popup1" class="overlay">
                <div class="popup">
                    <h2>Add new appointment</h2>
                    <div class="row">
                        <div class="col">
                            Patient:
                        </div>
                        <div class="col">
                            <input class="autocomplete" asp-for="AppViewModel.PatientName" onblur="checkTextField(this,1)" id="myInput" type="text" placeholder="Patients">
                            <span id="error1"></span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            Date:
                        </div>
                        <div class="col">
                            <input type="text" asp-for="AppViewModel.Date" class="datepicker" onblur="checkTextField(this,2)" placeholder="Date"><br />
                            <span id="error2"></span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            Time:
                        </div>
                        <div class="col">
                            <input class="fields" type="time" asp-for="AppViewModel.Time" onblur="checkTextField(this,3)"><br />
                            <span id="error3"></span>
                        </div>
                    </div>
                    <br />
                    <a class="close" href="">&times;</a>
                    <div class="row">
                        <button type="submit" id="yourButton" asp-controller="UserMain" asp-action="AddAppointment" href="">Add</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
